## dvdisaster 0.72.1

=== debian/changelog ===
dvdisaster (0.72.1-2) unstable; urgency=low

  * [da276c7] Refresh patches to avoid potential problems with the
    buildds.
  * [3ee8b47] Initial migration to format "3.0 (quilt)".
  * [af26379] Wrap some long lines for legibility.
  * [2372076] Wrap one extra line.
  * [00e1968] Don't patch the documentation directly.
  * [fac6933] Add missing misc-depends on dvdisaster
  * [70a6efd] Rewrap the build-depends line, for diff-friendliness.
  * [9fe0db4] Fix incorrect place of misc:depends.
  * [6576482] Remove unneeded patch
  * [7771474] Remove duplicate section field for dvdisaster
  * [f51c51a] Add debian/watch file to more closely follow upstream
  * [2194941] Remove UTF-8 encoding from desktop file
  * [57e4fab] Update patch to deal with hyphens used as minus signs
  * [80e291c] Add description for the patch
  * [cea78c3] Add patch to fix spelling errors in the binaries
  * [96b581b] Fix for another typo in the manpage
  * [b8f0e62] Update standards version with no changes needed

 -- Rogério Brito <rbrito@ime.usp.br>  Tue, 24 Aug 2010 12:10:21 -0300

dvdisaster (0.72.1-1) unstable; urgency=low

  * New maintainer (Closes: 543876)
  * new upstream version.
  * debian/control: update Homepage:
  * debian/README.source: create 
  * debian/control: add Vcs-*.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 23 Nov 2009 10:29:09 +0900

dvdisaster (0.72-2) unstable; urgency=low

  * Updating to standards version 3.8.3.
  * Removing vcs fields.
  * Orphaning package.

 -- Daniel Baumann <daniel@debian.org>  Thu, 27 Aug 2009 10:24:34 +0200

dvdisaster (0.72-1) unstable; urgency=low

  * Using correct rfc-2822 date formats in changelog.
  * Merging upstream version 0.72.
  * Removing shebang.patch, not required anymore.
  * Updating standards version to 3.8.2.
  * Tidy rules file.

 -- Daniel Baumann <daniel@debian.org>  Tue, 07 Jul 2009 01:11:52 +0200

dvdisaster (0.72~rc1-1) unstable; urgency=low

  * Merging upstream version 0.72~rc1.
  * Upgrading to standards 3.8.1.

 -- Daniel Baumann <daniel@debian.org>  Fri, 17 Apr 2009 21:20:00 +0200

dvdisaster (0.71.28-1) unstable; urgency=medium

  * Merging upstream version 0.71.28:
    - Fixes "illegal instruction" crashes on x86 machines which do not support
      SSE2 (Closes: #515950).

 -- Daniel Baumann <daniel@debian.org>  Tue, 17 Mar 2009 09:55:00 +0100

dvdisaster (0.71.27-1) unstable; urgency=low

  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 0.71.27.
  * Rediffing help-dialog.dpatch.
  * Using quilt rather than dpatch.
  * Updating year in copyright.
  * Adding longtitle and description in menu file.
  * Using usual name for pixmaps directory.
  * Updating rules to current state of the art.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Jan 2009 14:01:00 +0100

dvdisaster (0.71.26-2) unstable; urgency=medium

  * Updating to standards 3.8.0.
  * Updating vcs fields in control file.
  * Correcting 03-dvdrom.dpatch to not crash when opening a DVD-ROM.
    Thanks to Tobias Gruetzmacher <tobias-debian@23.gs> (Closes: #498296).

 -- Daniel Baumann <daniel@debian.org>  Mon, 08 Sep 2008 22:08:00 +0200

dvdisaster (0.71.26-1) unstable; urgency=medium

  * Reordering rules file.
  * Using examples debhelper to install examples.
  * Removing 08-xdg.dpatch, went upstream.
  * Removing 07-adaptive-read.dpatch, went upstream.
  * Rediffing 05-help-dialog.dpatch.
  * Rediffing 03-dvdrom.dpatch.
  * Rediffing 02-encryption.dpatch.
  * Removing watch file.
  * Removing useless whitespaces at end of debian gmkrs02 example.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Upgrading package to debhelper 7.
  * Merging upstream version 0.71.26.

 -- Daniel Baumann <daniel@debian.org>  Sat, 03 May 2008 11:34:00 +0200

dvdisaster (0.71~devel23-7) unstable; urgency=low

  * Bumping to new policy.
  * Updating menu file to new policy.
  * Don't hide make errors in clean target of rules.

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 13:26:00 +0100

dvdisaster (0.71~devel23-6) unstable; urgency=low

  * Using xdg-open rather than gnome-open.

 -- Daniel Baumann <daniel@debian.org>  Thu, 29 Nov 2007 10:39:00 +0100

dvdisaster (0.71~devel23-5) unstable; urgency=low

  * Setting configure shebang to bash.

 -- Daniel Baumann <daniel@debian.org>  Wed, 24 Oct 2007 06:14:00 +0200

dvdisaster (0.71~devel23-4) unstable; urgency=low

  * Fixed clean target in rules (Closes: #442559).

 -- Daniel Baumann <daniel@debian.org>  Sun, 17 Sep 2007 00:37:00 +0200

dvdisaster (0.71~devel23-3) unstable; urgency=medium

  * Applied patch from Wolfgang Weisselberg <g35fckt001@sneakemail.com> to fix
    segfault when reading CD with --adaptive-read (Closes: #427980).
  * Including example script from Osamu Aoki <osamu@debian.org> to provide a
    GUI for creating RS02 supplimented ISO images (Closes: #442145).

 -- Daniel Baumann <daniel@debian.org>  Fri, 14 Sep 2007 11:13:00 +0200

dvdisaster (0.71~devel23-2) unstable; urgency=low

  * Fix shebang in configure.

 -- Daniel Baumann <daniel@debian.org>  Tue, 04 Sep 2007 22:53:00 +0200

dvdisaster (0.71~devel23-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Mon, 14 May 2007 10:46:00 +0200

dvdisaster (0.71~devel22-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sun, 29 Apr 2007 16:47:00 +0200

dvdisaster (0.70.4-2) unstable; urgency=low

  * Uploading to unstable.
  * Bumped package to debhelper 5.

 -- Daniel Baumann <daniel@debian.org>  Thu, 08 Mar 2007 10:35:00 +0100

dvdisaster (0.70.4-1) experimental; urgency=low

  * New upstream release.

 -- Daniel Baumann <daniel@debian.org>  Sat, 27 Jan 2007 18:05:00 +0100

dvdisaster (0.70.3-2) unstable; urgency=medium

  * Added patch from Carsten Gnoerlich <carsten@dvdisaster.com> to fix issues
    with glib threading (Closes: #405757).



=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f configure.log ] || $(MAKE) distclean

	find documentation -name "*.png" | xargs rm -f

	dh_clean

configure: configure-stamp
configure-stamp:
	dh_testdir

	./configure \
		--prefix=/usr \
		--bindir=\$${prefix}/bin \
		--docdir=\$${prefix}share/doc \
		--docsubdir=dvdisaster-doc/html \
		--localedir=\$${prefix}/share/locale \
		--mandir=\$${prefix}/share/man

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp
	dh_testdir

	$(MAKE)

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_prep

	$(MAKE) \
		BUILDROOT=$(CURDIR)/debian/tmp \
		install

	# Installing desktop file
	install -D -m 0644 contrib/dvdisaster.desktop debian/dvdisaster/usr/share/applications/dvdisaster.desktop
	sed -i -e 's/dvdisaster48/dvdisaster/' debian/dvdisaster/usr/share/applications/dvdisaster.desktop

	# Installing icon
	install -D -m 0644 contrib/dvdisaster32.png debian/dvdisaster/usr/share/icons/dvdisaster.png

	# Installing pixmaps
	install -D -m 0644 debian/pixmaps/dvdisaster.xpm debian/dvdisaster/usr/share/pixmaps/dvdisaster.xpm

	# Removing double files
	rm -f debian/tmp/usr/bin/dvdisaster-uninstall.sh
	rm -f debian/tmp/usr/share/doc/dvdisaster-doc/html/CHANGELOG
	rm -f debian/tmp/usr/share/doc/dvdisaster-doc/html/COPYING

binary: binary-arch binary-indep

binary-arch: install
	dh_testdir -a
	dh_testroot -a
	dh_installchangelogs -a CHANGELOG
	dh_installdocs -a
	dh_installexamples
	dh_install -a --sourcedir=debian/tmp
	dh_installmenu -a
	dh_strip -a
	dh_compress -a
	dh_fixperms -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep: install
	dh_testdir -i
	dh_testroot -i
	dh_installchangelogs -i CHANGELOG
	dh_installdocs -i
	dh_install -i --sourcedir=debian/tmp
	dh_compress -i
	dh_fixperms -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

.PHONY: clean build install binary binary-arch binary-indep

## dvdisaster 0.72.3

=== debian/changelog ===
dvdisaster (0.72.3-2) unstable; urgency=low

  * debian/patches/libpng15: Build with libpng15. (Closes: #649555) 

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 19 Mar 2012 11:08:53 +0900

dvdisaster (0.72.3-1) unstable; urgency=low

  [ Rogério Brito ]
  * debian/patches/*: refresh and adapt every patch
  * debian/patches/04-manpage.patch: escape one hyphen

  [ TANIGUCHI Takaki ]
  * New upstream 0.72.3 (Closes: #643869)
  * Bump Standards-Version to 3.9.3
  * debian/patches/*: Refreshed.
  * Depend unversion libpng-dev (Closes: #662306)
  * debian/rules: Rewrite in dh7 style

 -- TANIGUCHI Takaki <takaki@debian.org>  Tue, 06 Mar 2012 12:44:08 +0900

## dvdisaster 0.72.4

=== tools/Makefile ===
all:
	@echo
	@echo "Please create a Makefile by entering \"./configure\" first"
	@echo

=== debian/changelog ===
dvdisaster (0.72.4-2) unstable; urgency=medium

  * Team upload.
  * Make builds reproducible:
    + Use the Debian changelog details to derive a build number and date.
    + Don't build with source path embedded in binary.
  * debian/control:
    + Update to Standards Version 3.9.8.
      - Format security warnings required fixing in tools/memory.c as
        a result.
    + Update VCS details.
    + Remove obsolete DM-Upload-Alllowed control field.
    + Perform wrap and sort.
    + Mark dvdisaster-doc as a multi-arch foreign package.
  * debian/rules:
    + Build with all hardening flags set.
    + Link required libraries as needed.
    + Fix installation of desktop file and icon images.
    + Tidy up installation of doc files.
    + Fix clean up.
    + Separate binary-arch and binary-indep rules.
    + Silence deprecated API warnings.
  * debian/*:
    + Update uscan rules.
    + Drop debian/dvdisaster.menu file in favour of desktop file.
    + Convert copyright file into proper DEP5 format and update.
    + Drop no longer required debian/pixmaps/dvdisaster.xpm.
    + Add debian/dvdisaster-doc.doc-base file.
    + Add link to html docs in dvdisaster-doc package.
    + Remove unnecessary duplication of doc files in the two packages.
    + Link all duplicate doc files.
    + Fix installation of thumbnails for Czech doco.
  * debian/patches/*:
    + Fix headers to work with git-buildpackage, retaining as much
      meta info as possible.
    + Fix GNU Make detection. (Closes: #848811)
    + Fix path of GPL-2 license in 05-help-dialog.patch. (Closes: #708384)
    + Fix all warnings except for those related to deprecated API.
      (Closes: #748416)
    + Use non-size-specific icon and add keywords to desktop file.
    + Fix spelling: upto -> up to
    + Fix missing language fields in PO files.
    + Update help dialog to show link to the new Debian package tracker.
    + Update copyright notice in about dialog.
    + Allow ShowTextFile() to work with absolute path names.
    + Fix display of changelog, credits and to-do files.
    + Remove link to the newsfeed, to fix Lintian privacy-breach-generic
      warning. The news feed no longer works anyway.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 23 Dec 2016 15:53:13 +1100

dvdisaster (0.72.4-1) unstable; urgency=low

  * New upstream (Closes: #665522)
  * debian/paches/04-manpage.patch: Removed (merged by upstream).

 -- TANIGUCHI Takaki <takaki@debian.org>  Sun, 08 Apr 2012 22:02:16 +0900

=== debian/control ===
Source: dvdisaster
Section: otherosfs
Priority: optional
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Rogério Brito <rbrito@ime.usp.br>
Build-Depends: debhelper (>= 9),
               dh-exec,
               dpkg-dev (>= 1.16.1.1),
               gettext,
               libbz2-dev,
               libgtk2.0-dev,
               libpng-dev,
               pkg-config
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/git/pkg-opt-media/dvdisaster.git
Vcs-Git: https://anonscm.debian.org/git/pkg-opt-media/dvdisaster.git
Homepage: http://dvdisaster.net/

Package: dvdisaster
Architecture: any
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Recommends: dvdisaster-doc
Description: data loss/scratch/aging protection for CD/DVD media
 dvdisaster provides a margin of safety against data loss on CD and DVD media
 caused by scratches or aging media. It creates error correction data which is
 used to recover unreadable sectors if the disc becomes damaged at a later time.

Package: dvdisaster-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: dvdisaster
Description: data loss/scratch/aging protection for CD/DVD media (documentation)
 dvdisaster provides a margin of safety against data loss on CD and DVD media
 caused by scratches or aging media. It creates error correction data which is
 used to recover unreadable sectors if the disc becomes damaged at a later time.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_CFLAGS_MAINT_APPEND = $(CPPFLAGS) -Wall -Wno-deprecated-declarations -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		--localedir=\$${prefix}/share/locale \
		--docdir=\$${prefix}share/doc \
		--docsubdir=dvdisaster-doc/html \
		--with-embedded-src-path=no

override_dh_auto_build-arch:
	make all

override_dh_auto_build-indep:
	make images

override_dh_auto_install-arch:
	dh_auto_install -a -- BUILDROOT=$(CURDIR)/debian/tmp

override_dh_auto_install-indep:
	make install-doc BUILDROOT=$(CURDIR)/debian/tmp

# Ensure that none of the text files that the application
# tries to display directly are not compressed, as it doesn't
# automatically decompress text files.
override_dh_compress:
	dh_compress -p dvdisaster \
		-X.CHANGELOG -XCREDITS -XREADME.MODIFYING -XTODO
	dh_compress --remaining-packages

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.gpg/, \
      compression=xz, \
      repack" \
http://dvdisaster.net/en/index.html \
     (?:.*?/)?dvdisaster-(.*)\.tar\.bz2 0.72.6 uupdate

## dvdisaster 0.79.3

=== debian/changelog ===
dvdisaster (0.79.3-1) experimental; urgency=low

  * New upstream version.
    + Make SG_IO ioctl the default in dvdisaster. Closes: #598275.
  * debian/patches:
    + remove 04-manpage.patch, 06-remove-encoding-from-desktop-file.patch,
      and 07-fix-spelling-errors-in-binaries.patch, as they are applied
      upstream.

 -- Rogério Brito <rbrito@ime.usp.br>  Mon, 13 Dec 2010 14:22:32 -0200

dvdisaster (0.79.2-1) experimental; urgency=low

  * Imported Upstream version 0.79.2
  * debian/patches/*:
    + refresh and adapt every patch
    + 04-manpage.patch: escape one hyphen

 -- Rogério Brito <rbrito@ime.usp.br>  Sat, 06 Nov 2010 21:55:05 -0200

=== debian/control ===
Source: dvdisaster
Section: otherosfs
Priority: optional
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
        Rogério Brito <rbrito@ime.usp.br>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 7),
	       gettext,
	       libbz2-dev,
	       libgtk2.0-dev,
	       libpng12-dev,
	       pkg-config
Standards-Version: 3.9.1
Vcs-Browser: http://git.debian.org/?p=pkg-opt-media/dvdisaster.git 
Vcs-Git: git://git.debian.org/pkg-opt-media/dvdisaster.git
Homepage: http://dvdisaster.net/

Package: dvdisaster
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, xdg-utils
Recommends: dvdisaster-doc
Description: data loss/scratch/aging protection for CD/DVD media
 dvdisaster provides a margin of safety against data loss on CD and DVD media
 caused by scratches or aging media. It creates error correction data which is
 used to recover unreadable sectors if the disc becomes damaged at a later time.

Package: dvdisaster-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: dvdisaster
Description: data loss/scratch/aging protection for CD/DVD media (documentation)
 dvdisaster provides a margin of safety against data loss on CD and DVD media
 caused by scratches or aging media. It creates error correction data which is
 used to recover unreadable sectors if the disc becomes damaged at a later time.
 .
 This package contains the documentation.

## dvdisaster 0.79.5

=== documentation/codec-specs/Makefile ===
.PHONY : all codecs clean

all: codecs

clean:
	@rm -f *~ *.aux *.log *.bak *.out *.toc *.dvi *.ps

archclean: clean
	@rm -f *.pdf

codecs:
	latex codecs
	dvips codecs.dvi
	ps2pdf codecs.ps

=== documentation/user-manual/Makefile ===
.PHONY : all clean archclean single

all: single

clean:
	@rm -f *~ *.aux *.log *.bak *.out *.toc *.dvi *.ps

archclean: clean
	@rm -f *.pdf

single:
	pdflatex manual

manual.pdf: preface.tex background.tex defect-reporting.tex howtos.tex manual.tex qa.tex burning-compatibility.tex download.tex local.tex overview.tex
	pdflatex manual
	pdflatex manual
	pdflatex manual

=== debian/changelog ===
dvdisaster (0.79.5-5) unstable; urgency=medium

  * Update Vcs-* to salsa.debian.org
  * Bump Standards-Version to 4.1.3

 -- TANIGUCHI Takaki <takaki@debian.org>  Sat, 27 Jan 2018 23:34:08 +0900

dvdisaster (0.79.5-4) unstable; urgency=medium

  * Use complete Debian revision number as build number, instead of
    just the numeric part.
  * Re-implement scripts/time-stamper.bash without direct calls to
    dpkg-parsechangelog.
  * Call ./configure script directly, instead of relying on debhelper,
    to resolve incompatibilities with Bash-based script.
  * Use alternative way of installing icons to remove dependency on
    dh-exec.
  * Drop redundant dependency on dpkg-dev.
  * Reproducibly generate PDF documentation from TeX sources.
  * Remove trailing white space from debian/changelog.
  * Remove unnecessary Testsuite header from debian/control.
  * Indicate compliance with Debian Policy 4.1.2.
  * Suppress debian-watch-uses-insecure-uri Lintian warning.
  * Honour LDFLAGS set by dpkg-buildflags in building all binaries.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 21 Dec 2017 03:14:14 +1100

dvdisaster (0.79.5-3) unstable; urgency=medium

  * Team upload.
  * Fix another build failure on kFreeBSD.
  * Bump Standards Version to 4.0.1.
  * Regenerate patches with git version 2.14.0.
  * Do not suppress the display of compilation commands,
    so that build logs may be analysed by blhc.
  * Update uploaders list.

 -- Carlos Maddela <e7appew@gmail.com>  Mon, 14 Aug 2017 14:52:56 +1000

dvdisaster (0.79.5-2) unstable; urgency=medium

  [ Carlos Maddela ]
  * Team upload.
  * Bump Standards Version to 4.0.0.
  * Remove unnecessary calls to dpkg-parsechangelog from debian/rules.
  * debian/watch: Avoid repacking upstream tarballs unnecessarily.
  * Fix more typos in error messages and docs.
  * Fix FTBFS on Hurd and kFreeBSD.
  * Remove incorrect use of 'Origin: vendor' from DEP-3 patch headers.
  * Improve support for Hurd and kFreeBSD systems, although Hurd still
    builds without SCSI.

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 07 Aug 2017 17:34:01 +0900

dvdisaster (0.79.5-1) unstable; urgency=medium

  [ Carlos Maddela ]
  * Team upload.
  * New upstream version [0.79.5]
  * Refresh and drop patches. The following patches have been dropped:
    + 01-libpng15.patch
    + 06-remove-encoding-from-desktop-file.patch
    + 07-fix-spelling-errors-in-binaries.patch
    + 09-fix-format-security-warnings.patch
    + 21-fix-privacy-breach-in-doco.patch
  * Update license to GPL-3.
  * Update clean rule as old files no longer apply.
  * Update documentation build and install rules.
  * debian/rules: Update mutable file list.
  * Fix generated man pages. The generated man pages incorrectly direct
    users to the directory of the old HTML documentation, which is no
    longer available.
  * Fix display of manual.pdf. The PDF file is automatically compressed
    by Debhelper, so we need to account for this.
  * Resurrect old code to support opening URLs in a browser.
  * Ship upstream-generated manual.pdf for the time being, as we can't
    generate it ourselves reproducibly.

 -- TANIGUCHI Takaki <takaki@debian.org>  Thu, 02 Feb 2017 22:28:25 +0900

dvdisaster (0.72.4-3) unstable; urgency=medium

  [ Carlos Maddela ]
  * Team upload.
  * Bump compat level to 10.
  * debian/watch: Relax upstream version restriction.
  * Use original name for the duplicate uncompressed upstream CHANGELOG.
  * Backup and restore mutable files to allow multiple builds.
  * Fix FTBFS for hurd-i386.

  [ Corey Wright ]
  * Add support for BD-ROM media-type. (Closes: #849518)

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 07 Jan 2017 00:29:19 +1100

=== debian/control ===
Source: dvdisaster
Section: otherosfs
Priority: optional
Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
           Rogério Brito <rbrito@ime.usp.br>,
           Carlos Maddela <e7appew@gmail.com>
Build-Depends: debhelper (>= 10),
               gettext,
               libbz2-dev,
               libcam-dev [kfreebsd-any],
               libgtk2.0-dev,
               libpng-dev,
               pkg-config
Build-Depends-Indep: texlive-fonts-recommended,
                     texlive-latex-base,
                     texlive-latex-extra
Standards-Version: 4.1.3
Vcs-Browser: https://salsa.debian.org/optical-media-tools-team/dvdisaster
Vcs-Git: https://salsa.debian.org/optical-media-tools-team/dvdisaster.git
Homepage: http://dvdisaster.net/

Package: dvdisaster
Architecture: any
Depends: xdg-utils, ${misc:Depends}, ${shlibs:Depends}
Recommends: dvdisaster-doc
Description: data loss/scratch/aging protection for CD/DVD media
 dvdisaster provides a margin of safety against data loss on CD and DVD media
 caused by scratches or aging media. It creates error correction data which is
 used to recover unreadable sectors if the disc becomes damaged at a later time.

Package: dvdisaster-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Suggests: dvdisaster
Description: data loss/scratch/aging protection for CD/DVD media (documentation)
 dvdisaster provides a margin of safety against data loss on CD and DVD media
 caused by scratches or aging media. It creates error correction data which is
 used to recover unreadable sectors if the disc becomes damaged at a later time.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_CFLAGS_MAINT_APPEND = $(CPPFLAGS) -Wall -Wno-deprecated-declarations -pedantic
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION
export FORCE_SOURCE_DATE = 1

MUTABLE_FILES := build.h $(wildcard locale/*.po) \
	documentation/config/version.tex \
	documentation/user-manual/manual.pdf

BUILDROOT := $(CURDIR)/debian/tmp
ICONS := $(wildcard contrib/dvdisaster*.png)
ICON_SIZES := $(patsubst contrib/dvdisaster%.png,%,$(ICONS))

%:
	dh $@

override_dh_auto_configure:
	for f in $(MUTABLE_FILES); do \
		cp -an $$f $$f.orig; \
	done
	./configure \
		--prefix=/usr \
		--mandir=share/man \
		--localedir=share/locale \
		--docdir=share/doc \
		--docsubdir=dvdisaster-doc \
		--with-embedded-src-path=no

override_dh_clean:
	dh_clean -X.orig
	for f in $(MUTABLE_FILES); do \
		test ! -f $$f.orig || mv -f $$f.orig $$f; \
	done

override_dh_auto_build-arch:
	make all

override_dh_auto_build-indep:
	make manual

override_dh_auto_install-arch:
	dh_auto_install -a -- BUILDROOT=$(BUILDROOT)
	set -e; \
	for S in $(ICON_SIZES); do \
		D="$(BUILDROOT)/usr/share/icons/hicolor/$${S}x$${S}/apps"; \
		install -d "$${D}"; \
		install -T "contrib/dvdisaster$${S}.png" "$${D}/dvdisaster.png"; \
	done

override_dh_auto_install-indep:
	true

# Ensure that none of the text files that the application
# tries to display directly are compressed, as it doesn't
# automatically decompress text files.
override_dh_compress-arch:
	dh_compress -p dvdisaster \
		-XCHANGELOG -XCREDITS -XREADME.MODIFYING -XTODO

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.gpg/" \
http://dvdisaster.net/en/index.html \
     (?:.*?/)?dvdisaster-(.*)\.tar\.bz2 debian uupdate

## dvdisaster 0.79.6

=== debian/changelog ===
dvdisaster (0.79.6-5) experimental; urgency=medium

  * Merge changes from 0.79.5-9.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 02 Feb 2019 16:05:29 +1100

dvdisaster (0.79.6-4) experimental; urgency=medium

  * Merge changes from 0.79.5-8.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 01 Feb 2019 23:13:16 +1100

dvdisaster (0.79.6-3) experimental; urgency=medium

  * Merge changes from 0.79.5-7.
  * Update gbp.conf for debian/experimental branch.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 31 Jan 2019 08:59:58 +1100

dvdisaster (0.79.6-2) experimental; urgency=medium

  [ TANIGUCHI Takaki ]
  * Update Vcs-* to salsa.debian.org.

  [ Carlos Maddela ]
  * Build with DH compat level 11.
  * Indicate compliance with Debian Policy 4.1.4.
  * Add machine-readable upstream metadata.
  * Update debian/copyright.
  * Update location of PDF manual registered with doc-base (required
    as a result of DH compat level change).

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 23 Jun 2018 05:41:03 +1000

dvdisaster (0.79.6-1) experimental; urgency=medium

  * New upstream development version [0.79.6].
  * Rebase patches.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 21 Dec 2017 05:51:54 +1100

dvdisaster (0.79.5-9) unstable; urgency=medium

  * Make sure that the upstream changelog remains uncompressed so
    that the application can display it.
  * Suggest to install dvdisaster-doc in error message, if the PDF manual
    cannot be found.

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 02 Feb 2019 15:20:23 +1100

dvdisaster (0.79.5-8) unstable; urgency=medium

  * Fix parallel build of locale strings.

 -- Carlos Maddela <e7appew@gmail.com>  Fri, 01 Feb 2019 23:03:13 +1100

dvdisaster (0.79.5-7) unstable; urgency=medium

  * Add debian/gbp.conf to conform with DEP14 conventions.
  * Build with Debhelper compat level 12.
  * Set "Rules-Requires-Root: no".
  * Simplify process by which mutable files are backed up and restored.
  * Build as verbosely as possible.
  * Fix location of manual.
  * Fix dh_auto_build overrides to take advantage of parallel builds.
  * Fix format security compilation warning in GCC-8.
  * Change homepage to one archived at web.archive.org.
    http://dvdisaster.net has been unavailable for a while now.
    Not certain if this is permanent though, as the domain name still
    exists for mail.
  * Add support for nodoc build profile.
  * Add more details to upstream metadata.
  * Indicate compliance with Debian Policy 4.3.0.

 -- Carlos Maddela <e7appew@gmail.com>  Thu, 31 Jan 2019 07:10:46 +1100

dvdisaster (0.79.5-6) unstable; urgency=medium

  [ TANIGUCHI Takaki ]
  * change Vcs-* path

  [ Carlos Maddela ]
  * Build with DH compat level 11.
  * Indicate compliance with Debian Policy 4.1.4.
  * Add machine-readable upstream metadata.
  * Update debian/copyright.
  * Update location of PDF manual registered with doc-base (required
    as a result of DH compat level change).

 -- Carlos Maddela <e7appew@gmail.com>  Sat, 23 Jun 2018 05:01:27 +1000

## dvdisaster 0.79.10

=== Makefile ===
.PHONY : all show locale html images pack-images
.PHONY : install uninstall clean distclean arch www www-images srcdist bindist


all:
	@echo
	@echo "dvdisaster requires GNU make to build."
	@echo "Please try your command again using gmake."
	@echo

show: all
locale: all
html: all
images: all
pack-images: all
install: all
uninstall: all
clean: all
distclean: all
arch: all
www: all
www-images: all
srcdist: all
bindist: all

=== documentation/user-manual/Makefile ===
.PHONY : all clean archclean single

all: single

clean:
	@rm -f *~ *.aux *.log *.bak *.out *.toc *.dvi *.ps

archclean: clean
	@rm -f *.pdf

single:
	pdflatex manual

manual.pdf: preface.tex background.tex defect-reporting.tex howtos.tex manual.tex qa.tex download.tex local.tex overview.tex
	pdflatex manual
	pdflatex manual
	pdflatex manual

=== debian/changelog ===
dvdisaster (0.79.10-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with -Werror=implicit-function-declaration Closes: #1066010

 -- Andreas Metzler <ametzler@debian.org>  Sun, 07 Apr 2024 18:38:18 +0200

dvdisaster (0.79.10-3) unstable; urgency=medium

  * Team upload
  * Patch: Fix documentation with current LaTeX versions (Closes: #1058517)

 -- Bastian Germann <bage@debian.org>  Sat, 13 Jan 2024 15:05:58 +0000

dvdisaster (0.79.10-2) unstable; urgency=medium

  * Team upload
  * Drop GUI (Closes: #967320)

 -- Bastian Germann <bage@debian.org>  Fri, 20 Oct 2023 17:20:01 +0200

dvdisaster (0.79.10-1) unstable; urgency=medium

  * Team upload
  * Track new upstream (Closes: #1032747, #988838)
  * New upstream version 0.79.10
  * d/copyright: Amend with new upstream's info
  * Rebase patches on new upstream version
  * Drop non-existing doc README.MODIFYING
  * Compress the right files

  [ Debian Janitor ]
  * Set debhelper-compat version in Build-Depends.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Fix day-of-week for changelog entry 0.71~devel23-4.
  * Update standards version to 4.6.1, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.

  [ TANIGUCHI Takaki ]
  * d/control: Remove Rogério Brito from Uploaders (Closes: #994658)
  * d/test: Mark as superficial (Closes: #974453)

 -- Bastian Germann <bage@debian.org>  Fri, 22 Sep 2023 16:50:58 +0200

dvdisaster (0.79.5-10) unstable; urgency=medium

  * d/salsa-ci.yml: Add CI conf
  * Add d/patches/0032-Fix-for-compilation-error-under-gcc-10.patch
    (Closes: #957156)

 -- TANIGUCHI Takaki <takaki@debian.org>  Mon, 14 Sep 2020 12:11:20 +0900

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,22 @@
 Priority: optional
 Maintainer: Optical Media Tools Team <pkg-opt-media-team@lists.alioth.debian.org>
 Uploaders: TANIGUCHI Takaki <takaki@debian.org>,
-           Rogério Brito <rbrito@ime.usp.br>,
            Carlos Maddela <e7appew@gmail.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                gettext,
                libbz2-dev,
-               libcam-dev [kfreebsd-any],
-               libgtk2.0-dev,
+               libglib2.0-dev,
+               libgdk-pixbuf2.0-bin,
                libpng-dev,
                pkg-config
-Build-Depends-Indep: texlive-fonts-recommended,
-                     texlive-latex-base,
-                     texlive-latex-extra
-Standards-Version: 4.1.3
-Vcs-Browser: https://salsa.debian.org/optical-media-tools-team/dvdisaster
-Vcs-Git: https://salsa.debian.org/optical-media-tools-team/dvdisaster.git
-Homepage: http://dvdisaster.net/
+Build-Depends-Indep: texlive-fonts-recommended <!nodoc>,
+                     texlive-latex-base <!nodoc>,
+                     texlive-latex-extra  <!nodoc>
+Standards-Version: 4.6.1
+Vcs-Browser: https://salsa.debian.org/optical-media-team/dvdisaster
+Vcs-Git: https://salsa.debian.org/optical-media-team/dvdisaster.git
+Homepage: https://dvdisaster.jcea.es
+Rules-Requires-Root: no
 
 Package: dvdisaster
 Architecture: any
@@ -30,6 +30,7 @@
  used to recover unreadable sectors if the disc becomes damaged at a later time.
 
 Package: dvdisaster-doc
+Build-Profiles: <!nodoc>
 Section: doc
 Architecture: all
 Multi-Arch: foreign

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
export DEB_CFLAGS_MAINT_APPEND = $(CPPFLAGS) -Wall -Wno-deprecated-declarations -pedantic

include /usr/share/dpkg/pkg-info.mk
export DEB_VERSION
export FORCE_SOURCE_DATE = 1

MUTABLE_FILES := build.h $(wildcard locale/*.po) \
	documentation/config/version.tex \
	documentation/user-manual/manual.pdf
BACKUP_TAR_FILE := debian/backup.tar

BUILDROOT := $(CURDIR)/debian/tmp
ICONS := $(wildcard contrib/dvdisaster*.png)
ICON_SIZES := $(patsubst contrib/dvdisaster%.png,%,$(ICONS))

%:
	dh $@

override_dh_update_autotools_config:
	dh_update_autotools_config
	test -f $(BACKUP_TAR_FILE) || \
		tar cpf $(BACKUP_TAR_FILE) $(MUTABLE_FILES)

override_dh_clean:
	dh_clean
	test ! -f $(BACKUP_TAR_FILE) || \
		tar xpf $(BACKUP_TAR_FILE) && rm -f $(BACKUP_TAR_FILE)

override_dh_auto_configure:
	./configure \
		--prefix=/usr \
		--mandir=share/man \
		--localedir=share/locale \
		--docdir=share/doc \
		--docsubdir=dvdisaster \
		--with-gui=no \
		--with-embedded-src-path=no

override_dh_auto_build-arch:
	dh_auto_build -a -- all

override_dh_auto_build-indep:
	dh_auto_build -i \
		$(if $(findstring nodoc,$(DEB_BUILD_OPTIONS)),--no-act) \
		-- manual

override_dh_auto_install-arch:
	dh_auto_install -a -- BUILDROOT=$(BUILDROOT)
	set -e; \
	for S in $(ICON_SIZES); do \
		D="$(BUILDROOT)/usr/share/icons/hicolor/$${S}x$${S}/apps"; \
		install -d "$${D}"; \
		install -T "contrib/dvdisaster$${S}.png" "$${D}/dvdisaster.png"; \
	done

override_dh_auto_install-indep:
	true

# Ensure that none of the files that the application
# tries to display directly are compressed, as it doesn't
# automatically decompress files.
override_dh_compress-arch:
	dh_compress -p dvdisaster -XCHANGELOG -XCREDITS.en -XTODO
override_dh_compress-indep:
	dh_compress -p dvdisaster-doc -Xmanual.pdf

=== debian/tests/control ===
Tests: unknown-system
Depends: dvdisaster
Restrictions: superficial

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.gpg/" \
https://dvdisaster.jcea.es \
     (?:.*?/)?dvdisaster-(.*)\.tar\.bz2 debian uupdate
